japa.parser.ast.body

## Class BodyDeclaration

- java.lang.Object
- - japa.parser.ast.Node
  - - japa.parser.ast.body.BodyDeclaration

Direct Known Subclasses:
  AnnotationMemberDeclaration, ConstructorDeclaration, EmptyMemberDeclaration, EnumConstantDeclaration, FieldDeclaration, InitializerDeclaration, MethodDeclaration, TypeDeclaration

    public abstract class BodyDeclaration
    extends Node

### Constructor Summary

Constructors
Constructor and Description
`BodyDeclaration()`
`BodyDeclaration(int beginLine, int beginColumn, int endLine, int endColumn, List<AnnotationExpr> annotations, JavadocComment javaDoc)`
`BodyDeclaration(List<AnnotationExpr> annotations, JavadocComment javaDoc)`

### Method Summary

Methods
`List<AnnotationExpr>` `getAnnotations()`
`JavadocComment` `getJavaDoc()`
`void` `setAnnotations(List<AnnotationExpr> annotations)`
`void` `setJavaDoc(JavadocComment javaDoc)`

### Methods inherited from class japa.parser.ast.Node

`accept, accept, equals, getBeginColumn, getBeginLine, getData, getEndColumn, getEndLine, hashCode, setBeginColumn, setBeginLine, setData, setEndColumn, setEndLine, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### BodyDeclaration

    public BodyDeclaration()

#### BodyDeclaration

    public BodyDeclaration(List<AnnotationExpr> annotations,
                   JavadocComment javaDoc)

#### BodyDeclaration

    public BodyDeclaration(int beginLine,
                   int beginColumn,
                   int endLine,
                   int endColumn,
                   List<AnnotationExpr> annotations,
                   JavadocComment javaDoc)

### Method Detail

#### getJavaDoc

    public final JavadocComment getJavaDoc()

#### getAnnotations

    public final List<AnnotationExpr> getAnnotations()

#### setJavaDoc

    public final void setJavaDoc(JavadocComment javaDoc)

#### setAnnotations

    public final void setAnnotations(List<AnnotationExpr> annotations)